Subject: bug#74966: 31.0.50; Crash report (using igc on macOS)

From: Gerd Möllmann <[email-masked]>
Date: Fri, 20 Dec 2024 08:11:26 +0100

Gerd Möllmann <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> I haven't checked, just assumed that if the same action leads to the
>> same result, it's pretty likely to have the same cause.
>>
>> I'll let you know when I find something out tomorrow. 
>
> Doesn't seem to happen without native compilation, FWIW.

And with native comp, it's the same place in master that we had in igc:

frame #10: 0x0000000100328088 emacs`native_function_doc(function=(struct Lisp_Subr *) $14 = 0x00000001036b2850) at comp.c:5491:10
(lldb) p function
(Lisp_Object) 0x00000001036b2855 (struct Lisp_Subr *) $14 = 0x00000001036b2850
(lldb) p *$14
(struct Lisp_Subr) {
  header = (size = 4611686018729418752)
  function = {
    a0 = 0x0000000102b28540 (ns-win-ef8075c0-de7bcdf2.eln`F782d66696c652d6469616c6f67_x_file_dialog_0)
    a1 = 0x0000000102b28540 (ns-win-ef8075c0-de7bcdf2.eln`F782d66696c652d6469616c6f67_x_file_dialog_0)
    a2 = 0x0000000102b28540 (ns-win-ef8075c0-de7bcdf2.eln`F782d66696c652d6469616c6f67_x_file_dialog_0)
    a3 = 0x0000000102b28540 (ns-win-ef8075c0-de7bcdf2.eln`F782d66696c652d6469616c6f67_x_file_dialog_0)
    a4 = 0x0000000102b28540 (ns-win-ef8075c0-de7bcdf2.eln`F782d66696c652d6469616c6f67_x_file_dialog_0)
    a5 = 0x0000000102b28540 (ns-win-ef8075c0-de7bcdf2.eln`F782d66696c652d6469616c6f67_x_file_dialog_0)
    a6 = 0x0000000102b28540 (ns-win-ef8075c0-de7bcdf2.eln`F782d66696c652d6469616c6f67_x_file_dialog_0)
    a7 = 0x0000000102b28540 (ns-win-ef8075c0-de7bcdf2.eln`F782d66696c652d6469616c6f67_x_file_dialog_0)
    a8 = 0x0000000102b28540 (ns-win-ef8075c0-de7bcdf2.eln`F782d66696c652d6469616c6f67_x_file_dialog_0)
    aUNEVALLED = 0x0000000102b28540 (ns-win-ef8075c0-de7bcdf2.eln`F782d66696c652d6469616c6f67_x_file_dialog_0)
    aMANY = 0x0000000102b28540 (ns-win-ef8075c0-de7bcdf2.eln`F782d66696c652d6469616c6f67_x_file_dialog_0)
  }
  min_args = 2
  max_args = 5
  symbol_name = 0x0000000103d41acc "x-file-dialog"
  intspec = {
    string = 0x0000000000000000
    native = NULL
  }
  command_modes = NULL
  doc = 46543
  native_comp_u = 0x0000000102de8215 (struct Lisp_Native_Comp_Unit *) $18 = 0x0000000102de8210
  native_c_name = 0x0000000103d41ada "F782d66696c652d6469616c6f67_x_file_dialog_0"
  lambda_list = NULL
  type = 0x0000000102dc165b (struct Lisp_Cons *) $20 = 0x0000000102dc1658
}

Everything except doc looks reasonable to me, so I'd say it's not
something overwriting the whole object.

I think I'll read the code a bit now.